%global  _pam_libdir /usr/lib64
Summary:	A Pluggable Authentication Module for Kerberos 5
Name:		pam_krb5
Version:	4.11
Release:    1%{?dist}
License:	MIT and BSD
Group:		System/Libraries
URL:		https://github.com/rra/pam-krb5
Source0:	%{url}/archive/refs/tags/upstream/%{version}.tar.gz#/%{name}-%{version}.tar.gz
Patch0001:	0001-Drop-module-long-test.patch

Requires:	pam

BuildRequires:	byacc
BuildRequires:	flex
BuildRequires:	gcc
BuildRequires:	krb5-devel
BuildRequires:	pam pam-devel

BuildRequires:	perl(lib)
BuildRequires:	perl(Test::Pod)

%description 
pam-krb5 is a Kerberos v5 PAM module for either MIT Kerberos or
Heimdal.  It supports ticket refreshing by screen savers, configurable
authorization handling, authentication of non-local accounts for
network services, password changing, and password expiration, as well
as all the standard expected PAM features.  It works correctly with
OpenSSH, even with ChallengeResponseAuthentication and
PrivilegeSeparation enabled, and supports extensive configuration
either by PAM options or in krb5.conf or both.  PKINIT is supported
with recent versions of both MIT Kerberos and Heimdal and FAST is
supported with recent MIT Kerberos.
  
%prep 
%setup -q -n pam-krb5-upstream-%{version}

%autopatch -p1

%build
%configure --libdir=%{_pam_libdir}
%make_build

%install
%make_install

sed -ri -e 's|/lib(64)?/|/\$LIB/|g' %{buildroot}/%{_mandir}/man*/pam_krb5*.5*

rm -f %{buildroot}/%{_pam_libdir}/security/*.la

%check
%{__make} check

%files
%license LICENSE
%doc README NEWS TODO
%{_pam_libdir}/security/*
%{_mandir}/man5/*

%changelog
* Tue Aug 27 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.11-1
- initial build
